Add projects to theme
curl --request POST \
--url https://api.kameleoon.com/themes/add-projects/{themeId} \
--header 'Content-Type: application/json' \
--data '[
123
]'import requests
url = "https://api.kameleoon.com/themes/add-projects/{themeId}"
payload = [123]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([123])
};
fetch('https://api.kameleoon.com/themes/add-projects/{themeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectIds": [
123
],
"colors": [
{
"id": "<string>",
"value": "<string>"
}
],
"components": [
"<string>"
],
"creationDate": "2023-11-07T05:31:56Z",
"customFonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": [
"<string>"
],
"id": "<string>",
"importSrc": "<string>"
}
],
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": 123,
"name": "<string>",
"selectedFonts": [
{
"id": "<string>"
}
],
"tags": [
"<string>"
],
"widgetIds": [
123
]
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Theme
Add projects to theme
Add projects to theme
POST
/
themes
/
add-projects
/
{themeId}
Add projects to theme
Path Parameters
The Id of the theme object
Body
application/json
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACTIVE, DRAFT, PAUSED Was this page helpful?
⌘I